cURL
curl --request GET \ --url https://web-api.clerk.chat/public/message-templates \ --header 'apiKey: <api-key>'
{ "data": [ { "id": 1, "teamId": "00000000-0000-0000-0000-000000000000", "name": "Welcome Message", "body": "Hello {{first_name}}, welcome!", "type": "rcs", "isPersonal": false, "attachmentIds": [], "created": "2021-01-01T00:00:00.000Z", "updated": "2021-01-01T00:00:00.000Z", "userId": "1", "externalId": "external-id" } ], "total": 1, "links": { "next": "<string>", "prev": "<string>", "self": "<string>" } }
List message templates for the active team
Documentation IndexFetch the complete documentation index at: https://docs.clerk.chat/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.clerk.chat/llms.txt
Use this file to discover all available pages before exploring further.
Number of items to return (max 50)
Page number
A paginated list of message templates
Show child attributes
The total number of message templates
1